Skip to content

getSupplierShipping

READ

Get supplier shipping.

POST /api/v1/purchasing/getSupplierShipping
curl -X POST '<your-host>/api/v1/purchasing/getSupplierShipping' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "supplierId": "string"
  }'
Response
{
  "companyId": "string",
  "customFields": "…",
  "incoterm": "EXW",
  "incotermLocation": "string",
  "shippingMethodId": "string",
  "shippingSupplierContactId": "string",
  "shippingSupplierId": "string",
  "shippingSupplierLocationId": "string",
  "shippingTermId": "string",
  "supplierId": "string",
  "tags": [
    "string"
  ],
  "updatedAt": "string",
  "updatedBy": "string"
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "supplierId": {
      "type": "string"
    }
  },
  "required": [
    "supplierId"
  ]
}